summaryrefslogtreecommitdiff
path: root/sys-fs/zrepl
diff options
context:
space:
mode:
Diffstat (limited to 'sys-fs/zrepl')
-rw-r--r--sys-fs/zrepl/Manifest2
-rw-r--r--sys-fs/zrepl/zrepl-0.6.1.ebuild33
2 files changed, 35 insertions, 0 deletions
diff --git a/sys-fs/zrepl/Manifest b/sys-fs/zrepl/Manifest
new file mode 100644
index 0000000..c76450a
--- /dev/null
+++ b/sys-fs/zrepl/Manifest
@@ -0,0 +1,2 @@
+DIST zrepl-0.6.1-deps.tar.xz 70394376 BLAKE2B 7add5a64ef41b8cd6967ce50f7156ec48b1b955901ffe4fb352af38b74f5f203fe74d66a2f8af52eb0c136f1b8b54775039bb6e34e2b997a0fd1869a4d9d21f3 SHA512 dcfde3f95a532739005212dd4bf601ba103f45d10261e4a34209f0c0d1f513bf0d7c22e9939fd51ce8bac0b1663a2fcb68b58a88177253186808208dcbcf6421
+DIST zrepl-0.6.1.tar.gz 512322 BLAKE2B b051973f85d8e1ded1d2bc80b2385546025956cef1a686247e4a584528a654406f2b4db4089ed5d22725210e6601ee970e8886f72b7f6e9ad047a846fad78610 SHA512 0fb28014f4c50d2512eec2b767883b342f8fc6cd5661dd04bebfb75d9774f4face9402202e2e830c0ca9b831502fdeac1c00e874ea3b0e9188c8df54e353dc70
diff --git a/sys-fs/zrepl/zrepl-0.6.1.ebuild b/sys-fs/zrepl/zrepl-0.6.1.ebuild
new file mode 100644
index 0000000..2b71e50
--- /dev/null
+++ b/sys-fs/zrepl/zrepl-0.6.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module systemd shell-completion
+
+DESCRIPTION="One-stop ZFS backup & replication solution"
+HOMEPAGE="https://zrepl.github.io/"
+BDEPEND=">=dev-lang/go-1.12"
+SRC_URI="https://github.com/zrepl/zrepl/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-deps.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+ ego build -trimpath .
+
+ ./zrepl gencompletion bash "${PN}.bash" || die
+ ./zrepl gencompletion zsh "${PN}.zsh" || die
+}
+
+src_install() {
+ dobin zrepl
+ einstalldocs
+
+ newbashcomp "${PN}.bash" "${PN}"
+ newzshcomp "${PN}.zsh" "_${PN}"
+
+ sed -i -e 's:/usr/local/bin/zrepl:/usr/bin/zrepl:' dist/systemd/zrepl.service || die
+ systemd_dounit dist/systemd/zrepl.service
+}